# DisplayMode (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class DisplayMode

    java.lang.Object
      org.lwjgl.opengl.DisplayMode

    public final class DisplayMode

extends java.lang.Object

This class encapsulates the properties for a given display mode. This class is not instantiable, and is aquired from the `Display. getAvailableDisplayModes()` method.

Version:
  $Revision$ $Id$
Author:
  cix_foo <cix_foo@users.sourceforge.net>

Constructor Summary
`DisplayMode(int width, int height)` Construct a display mode.

Method Summary
`boolean` `equals(java.lang.Object obj)` Tests for `DisplayMode` equality
`int` `getBitsPerPixel()`
`int` `getFrequency()`
`int` `getHeight()`
`int` `getWidth()`
`int` `hashCode()` Retrieves the hashcode for this object
`boolean` `isFullscreenCapable()` True if this instance can be used for fullscreen modes
`java.lang.String` `toString()` Retrieves a String representation of this `DisplayMode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DisplayMode

    public DisplayMode(int width,
                       int height)

  Construct a display mode. DisplayModes constructed through the public constructor can only be used to specify the dimensions of the Display in windowed mode. To get the available DisplayModes for fullscreen modes, use Display.getAvailableDisplayModes().

  Parameters:
    `width` - The Display width.
    `height` - The Display height.
  See Also:
    `Display`

Method Detail

### isFullscreenCapable

    public boolean isFullscreenCapable()

  True if this instance can be used for fullscreen modes

### getWidth

    public int getWidth()

### getHeight

    public int getHeight()

### getBitsPerPixel

    public int getBitsPerPixel()

### getFrequency

    public int getFrequency()

### equals

    public boolean equals(java.lang.Object obj)

  Tests for `DisplayMode` equality

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(Object)`

### hashCode

    public int hashCode()

  Retrieves the hashcode for this object

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### toString

    public java.lang.String toString()

  Retrieves a String representation of this `DisplayMode`

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.